dp14: xdp_tx_example_common.c File Reference

| dp14 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xdp_tx_example_common.c File Reference

## Overview

Contains a design example using the XDp driver (operating in TX mode).

It performs a self test on the DisplayPort TX core by training the main link at the maximum common capabilities between the TX and RX and checking the lane status.

Note
  The DisplayPort TX core does not work alone - video/audio sources need to be set up in the system correctly, as well as setting up the output path (for example, configuring the hardware system with the DisplayPort TX core output to an FMC card with DisplayPort output capabilities. Some platform initialization will need to happen prior to calling XDp driver functions. See XAPP1178 as a reference.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   als  01/20/15 Initial creation.
    5.1   ms   01/23/17 Added xil_printf statement in main function to
                        ensure that "Successfully ran" and "Failed" strings
                        are available in all examples. This is a fix for
                        CR-965028.

## Functions
u32 | Dptx_Run (XDp *InstancePtr)
| This function will configure and establish a link with the receiver device, afterwards, a video stream will start to be sent over the main link. More...
u32 | Dptx_SetupExample (XDp *InstancePtr, u16 DeviceId)
| This function will setup and initialize the DisplayPort TX core. More...
u32 | Dptx_StartLink (XDp *InstancePtr)
| This function will configure and establish a link with the receiver device. More...

## Function Documentation

u32 Dptx_Run | ( | XDp * | InstancePtr | ) |

This function will configure and establish a link with the receiver device, afterwards, a video stream will start to be sent over the main link.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  LaneCount | is the number of lanes to use over the main link.
  LinkRate | is the link rate to use over the main link.

Returns
  - XST_SUCCESS if main link was successfully established.
  - XST_FAILURE otherwise.

Note
  None.

References Dptx_StartLink().

Referenced by Dptx_AudioExample(), and Dptx_TimerExample().

u32 Dptx_SetupExample | ( | XDp * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

This function will setup and initialize the DisplayPort TX core.

The core's configuration parameters will be retrieved based on the configuration to the DisplayPort TX core instance with the specified device ID.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  DeviceId | is the unique device ID of the DisplayPort TX core instance.

Returns
  - XST_SUCCESS if the device configuration was found and obtained and if the main link was successfully established.
  - XST_FAILURE otherwise.

Note
  None.

References XDp_Config::BaseAddr, XDp_CfgInitialize(), XDp_Initialize(), and XDp_LookupConfig().

Referenced by Dptx_AudioExample(), Dptx_IntrExample(), Dptx_MstExample(), Dptx_PollExample(), and Dptx_TimerExample().

u32 Dptx_StartLink | ( | XDp * | InstancePtr | ) |

This function will configure and establish a link with the receiver device.

Parameters

  InstancePtr | is a pointer to the XDp instance.

Returns
  - XST_SUCCESS the if main link was successfully established.
  - XST_FAILURE otherwise.

Note
  None.

References XDp_Config::BaseAddr, XDp::Config, XDp_TxLinkConfig::LaneCount, XDp_Tx::LinkConfig, XDp_TxLinkConfig::LinkRate, XDp_TxLinkConfig::MaxLaneCount, XDp_TxLinkConfig::MaxLinkRate, XDp_TxLinkConfig::PeLevel, XDp_TxLinkConfig::VsLevel, and XDp_ReadReg.

Referenced by Dptx_MstExampleRun(), and Dptx_Run().